##
## 2 minutes 58 seconds
##
Name: ffmpeg
Version: 6.0.0
Release: 1%{?dist}
Summary: ffmpeg - Digital VCR and streaming server
Group:Applications/System
License: GPLv2+
URL:  http://ffmpeg.org/
%undefine   _disable_source_fetch
#Source0: http://ffmpeg.org/releases/ffmpeg-snapshot.tar.bz2
Source0: http://ffmpeg.org/releases/ffmpeg-6.0.tar.gz
Packager: 	%packager
BuildRequires: nasm 
BuildRequires: yasm
BuildRequires: x264-devel
BuildRequires: libopus-devel, libvpx-devel, libfdk-aac-devel, libbluray-devel, libass-devel,avisynthplus
BuildRequires: x265-devel
BuildRequires: texi2html, texinfo, lame-devel, freetype-devel
BuildRequires: openssl-devel
#base repo
BuildRequires: rubberband-devel
Provides: ffmpeg = 6.0.0
%define debug_package %nil

%description
FFmpeg is a complete and free Internet live audio and video
broadcasting solution for Linux/Unix. It also includes a digital
VCR. It can encode in real time in many formats including MPEG1 audio
and video, MPEG4, h263, ac3, asf, avi, real, mjpeg, and flash.

## ---------------------------  libs --------------------------------------------------#
%package libs
Summary: ffmpeg-libs - Libraries for ffmpeg
Group:  Development/Libraries
Provides:libavcodec = 60.3.100
Provides:libavdevice = 60.1.100
Provides:libavfilter = 9.3.100
Provides:libavformat = 60.3.100
Provides:libavutil = 58.2.100
Provides:libpostproc = 57.1.100
Provides:libswresample = 4.10.100
Provides:libswscale = 7.1.100
#overwrite install opus from base repo
Requires: libopus
%description libs
FFmpeg is a complete and free Internet live audio and video
broadcasting solution for Linux/Unix. It also includes a digital
VCR. It can encode in real time in many formats including MPEG1 audio
and video, MPEG4, h263, ac3, asf, avi, real, mjpeg, and flash.
This package contains the libraries for ffmpeg
## --------------------------------------------------------------------------------------#
%package devel
Summary: ffmpeg-devel - Development package for ffmpeg
Group:  Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
FFmpeg is a complete and free Internet live audio and video
broadcasting solution for Linux/Unix. It also includes a digital
VCR. It can encode in real time in many formats including MPEG1 audio
and video, MPEG4, h263, ac3, asf, avi, real, mjpeg, and flash.
This package contains development files for ffmpeg
%prep

%setup -q -n ffmpeg-6.0
  
%build
export CPPFLAGS="$CPPFLAGS -I%{_includedir}/avisynth"
./configure --prefix=%{_prefix} --bindir=%{_bindir} --libdir=%{_libdir} \
  --enable-openssl\
  --enable-gpl --disable-static --enable-shared  \
  --extra-libs=-lpthread \
  --extra-libs=-lm  \
  --enable-libfdk_aac  \
  --enable-libfreetype \
  --enable-libmp3lame \
  --enable-libopus \
  --enable-libvpx \
  --enable-libx264 \
  --enable-libx265 \
  --enable-libass \
  --enable-libbluray \
  --enable-avisynth \
  --enable-librubberband \
  --enable-nonfree
make %{?_smp_mflags}
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#%check
#make check
##install
%post
if [ $1 == 1 ];then
ln -s /usr/bin/ffmpeg /usr/local/bin/ffmpeg
fi

##uninstall
%postun
if [ $1 == 0 ];then
rm -f /usr/local/bin/ffmpeg
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/ffmpeg
%{_bindir}/ffprobe
/usr/share/ffmpeg/ffprobe.xsd
/usr/share/ffmpeg/libvpx-1080p.ffpreset
/usr/share/ffmpeg/libvpx-1080p50_60.ffpreset
/usr/share/ffmpeg/libvpx-360p.ffpreset
/usr/share/ffmpeg/libvpx-720p.ffpreset
/usr/share/ffmpeg/libvpx-720p50_60.ffpreset
%{_mandir}/man1/ffmpeg-all.1.gz
%{_mandir}/man1/ffmpeg-bitstream-filters.1.gz
%{_mandir}/man1/ffmpeg-codecs.1.gz
%{_mandir}/man1/ffmpeg-devices.1.gz
%{_mandir}/man1/ffmpeg-filters.1.gz
%{_mandir}/man1/ffmpeg-formats.1.gz
%{_mandir}/man1/ffmpeg-protocols.1.gz
%{_mandir}/man1/ffmpeg-resampler.1.gz
%{_mandir}/man1/ffmpeg-scaler.1.gz
%{_mandir}/man1/ffmpeg-utils.1.gz
%{_mandir}/man1/ffmpeg.1.gz
%{_mandir}/man1/ffprobe-all.1.gz
%{_mandir}/man1/ffprobe.1.gz
/usr/share/doc/ffmpeg/bootstrap.min.css
/usr/share/doc/ffmpeg/default.css
/usr/share/doc/ffmpeg/style.min.css
/usr/share/doc/ffmpeg/faq.html
/usr/share/doc/ffmpeg/fate.html
/usr/share/doc/ffmpeg/ffmpeg-all.html
/usr/share/doc/ffmpeg/ffmpeg-bitstream-filters.html
/usr/share/doc/ffmpeg/ffmpeg-codecs.html
/usr/share/doc/ffmpeg/ffmpeg-devices.html
/usr/share/doc/ffmpeg/ffmpeg-filters.html
/usr/share/doc/ffmpeg/ffmpeg-formats.html
/usr/share/doc/ffmpeg/ffmpeg-protocols.html
/usr/share/doc/ffmpeg/ffmpeg-resampler.html
/usr/share/doc/ffmpeg/ffmpeg-scaler.html
/usr/share/doc/ffmpeg/ffmpeg-utils.html
/usr/share/doc/ffmpeg/ffmpeg.html
/usr/share/doc/ffmpeg/ffprobe-all.html
/usr/share/doc/ffmpeg/ffprobe.html
/usr/share/doc/ffmpeg/general.html

%files libs
%{_libdir}/libavcodec.so.*
%{_libdir}/libavdevice.so.*
%{_libdir}/libavfilter.so.*
%{_libdir}/libavformat.so.*
%{_libdir}/libavutil.so.*
%{_libdir}/libpostproc.so.*
%{_libdir}/libswresample.so.*
%{_libdir}/libswscale.so.*

%files devel
%{_libdir}/libavcodec.so
%{_libdir}/libavdevice.so
%{_libdir}/libavfilter.so
%{_libdir}/libavformat.so
%{_libdir}/libavutil.so
%{_libdir}/libpostproc.so
%{_libdir}/libswresample.so
%{_libdir}/libswscale.so
%{_libdir}/pkgconfig/libavcodec.pc
%{_libdir}/pkgconfig/libavdevice.pc
%{_libdir}/pkgconfig/libavfilter.pc
%{_libdir}/pkgconfig/libavformat.pc
%{_libdir}/pkgconfig/libavutil.pc
%{_libdir}/pkgconfig/libpostproc.pc
%{_libdir}/pkgconfig/libswresample.pc
%{_libdir}/pkgconfig/libswscale.pc

/usr/include/libavcodec/version_major.h
/usr/include/libavdevice/version_major.h
/usr/include/libavfilter/version_major.h
/usr/include/libavformat/version_major.h
/usr/include/libpostproc/version_major.h
/usr/include/libswresample/version_major.h
/usr/include/libswscale/version_major.h

%{_includedir}/libavcodec/defs.h
%{_includedir}/libavcodec/ac3_parser.h
%{_includedir}/libavcodec/adts_parser.h
%{_includedir}/libavcodec/avcodec.h
%{_includedir}/libavcodec/avdct.h
%{_includedir}/libavcodec/avfft.h
%{_includedir}/libavcodec/d3d11va.h
%{_includedir}/libavcodec/dirac.h
%{_includedir}/libavcodec/dv_profile.h
%{_includedir}/libavcodec/dxva2.h
%{_includedir}/libavcodec/jni.h
%{_includedir}/libavcodec/mediacodec.h
%{_includedir}/libavcodec/qsv.h
%{_includedir}/libavcodec/vdpau.h
%{_includedir}/libavcodec/version.h
%{_includedir}/libavcodec/videotoolbox.h
%{_includedir}/libavcodec/vorbis_parser.h
%{_includedir}/libavcodec/xvmc.h
%{_includedir}/libavcodec/bsf.h
%{_includedir}/libavcodec/codec.h
%{_includedir}/libavcodec/codec_desc.h
%{_includedir}/libavcodec/codec_id.h
%{_includedir}/libavcodec/codec_par.h
%{_includedir}/libavcodec/packet.h
%{_includedir}/libavdevice/avdevice.h
%{_includedir}/libavdevice/version.h
%{_includedir}/libavfilter/avfilter.h
%{_includedir}/libavfilter/buffersink.h
%{_includedir}/libavfilter/buffersrc.h
%{_includedir}/libavfilter/version.h
%{_includedir}/libavformat/avformat.h
%{_includedir}/libavformat/avio.h
%{_includedir}/libavformat/version.h

%{_includedir}/libavutil/detection_bbox.h
%{_includedir}/libavutil/film_grain_params.h
%{_includedir}/libavutil/dovi_meta.h
%{_includedir}/libavutil/video_enc_params.h
%{_includedir}/libavutil/adler32.h
%{_includedir}/libavutil/aes.h
%{_includedir}/libavutil/aes_ctr.h
%{_includedir}/libavutil/attributes.h
%{_includedir}/libavutil/audio_fifo.h
%{_includedir}/libavutil/avassert.h
%{_includedir}/libavutil/avconfig.h
%{_includedir}/libavutil/avstring.h
%{_includedir}/libavutil/avutil.h
%{_includedir}/libavutil/base64.h
%{_includedir}/libavutil/blowfish.h
%{_includedir}/libavutil/bprint.h
%{_includedir}/libavutil/bswap.h
%{_includedir}/libavutil/buffer.h
%{_includedir}/libavutil/camellia.h
%{_includedir}/libavutil/cast5.h
%{_includedir}/libavutil/channel_layout.h
%{_includedir}/libavutil/common.h
%{_includedir}/libavutil/cpu.h
%{_includedir}/libavutil/crc.h
%{_includedir}/libavutil/des.h
%{_includedir}/libavutil/dict.h
%{_includedir}/libavutil/display.h
%{_includedir}/libavutil/downmix_info.h
%{_includedir}/libavutil/encryption_info.h
%{_includedir}/libavutil/error.h
%{_includedir}/libavutil/eval.h
%{_includedir}/libavutil/ffversion.h
%{_includedir}/libavutil/fifo.h
%{_includedir}/libavutil/file.h
%{_includedir}/libavutil/frame.h
%{_includedir}/libavutil/hash.h
%{_includedir}/libavutil/hdr_dynamic_metadata.h
%{_includedir}/libavutil/hmac.h
%{_includedir}/libavutil/hwcontext.h
%{_includedir}/libavutil/hwcontext_cuda.h
%{_includedir}/libavutil/hwcontext_d3d11va.h
%{_includedir}/libavutil/hwcontext_drm.h
%{_includedir}/libavutil/hwcontext_dxva2.h
%{_includedir}/libavutil/hwcontext_mediacodec.h
%{_includedir}/libavutil/hwcontext_qsv.h
%{_includedir}/libavutil/hwcontext_vaapi.h
%{_includedir}/libavutil/hwcontext_vdpau.h
%{_includedir}/libavutil/hwcontext_videotoolbox.h
%{_includedir}/libavutil/hwcontext_opencl.h
%{_includedir}/libavutil/hwcontext_vulkan.h
%{_includedir}/libavutil/imgutils.h
%{_includedir}/libavutil/intfloat.h
%{_includedir}/libavutil/intreadwrite.h
%{_includedir}/libavutil/lfg.h
%{_includedir}/libavutil/log.h
%{_includedir}/libavutil/lzo.h
%{_includedir}/libavutil/macros.h
%{_includedir}/libavutil/mastering_display_metadata.h
%{_includedir}/libavutil/mathematics.h
%{_includedir}/libavutil/md5.h
%{_includedir}/libavutil/mem.h
%{_includedir}/libavutil/motion_vector.h
%{_includedir}/libavutil/murmur3.h
%{_includedir}/libavutil/opt.h
%{_includedir}/libavutil/parseutils.h
%{_includedir}/libavutil/pixdesc.h
%{_includedir}/libavutil/pixelutils.h
%{_includedir}/libavutil/pixfmt.h
%{_includedir}/libavutil/random_seed.h
%{_includedir}/libavutil/rational.h
%{_includedir}/libavutil/rc4.h
%{_includedir}/libavutil/replaygain.h
%{_includedir}/libavutil/ripemd.h
%{_includedir}/libavutil/samplefmt.h
%{_includedir}/libavutil/sha.h
%{_includedir}/libavutil/sha512.h
%{_includedir}/libavutil/spherical.h
%{_includedir}/libavutil/stereo3d.h
%{_includedir}/libavutil/tea.h
%{_includedir}/libavutil/threadmessage.h
%{_includedir}/libavutil/time.h
%{_includedir}/libavutil/timecode.h
%{_includedir}/libavutil/timestamp.h
%{_includedir}/libavutil/tree.h
%{_includedir}/libavutil/twofish.h
%{_includedir}/libavutil/tx.h
%{_includedir}/libavutil/version.h
%{_includedir}/libavutil/xtea.h
/usr/include/libavutil/ambient_viewing_environment.h
/usr/include/libavutil/csp.h
/usr/include/libavutil/hdr_dynamic_vivid_metadata.h
/usr/include/libavutil/uuid.h
%{_includedir}/libpostproc/postprocess.h
%{_includedir}/libpostproc/version.h
%{_includedir}/libswresample/swresample.h
%{_includedir}/libswresample/version.h
%{_includedir}/libswscale/swscale.h
%{_includedir}/libswscale/version.h
/usr/share/ffmpeg/examples/Makefile
/usr/share/ffmpeg/examples/README
/usr/share/ffmpeg/examples/avio_list_dir.c
/usr/share/ffmpeg/examples/decode_audio.c
/usr/share/ffmpeg/examples/decode_video.c
/usr/share/ffmpeg/examples/encode_audio.c
/usr/share/ffmpeg/examples/encode_video.c
/usr/share/ffmpeg/examples/extract_mvs.c
/usr/share/ffmpeg/examples/filter_audio.c
/usr/share/ffmpeg/examples/hw_decode.c
/usr/share/ffmpeg/examples/transcode_aac.c
/usr/share/ffmpeg/examples/vaapi_encode.c
/usr/share/ffmpeg/examples/vaapi_transcode.c
/usr/share/ffmpeg/examples/avio_http_serve_files.c
/usr/share/ffmpeg/examples/avio_read_callback.c
/usr/share/ffmpeg/examples/decode_filter_audio.c
/usr/share/ffmpeg/examples/decode_filter_video.c
/usr/share/ffmpeg/examples/demux_decode.c
/usr/share/ffmpeg/examples/mux.c
/usr/share/ffmpeg/examples/qsv_decode.c
/usr/share/ffmpeg/examples/qsv_transcode.c
/usr/share/ffmpeg/examples/remux.c
/usr/share/ffmpeg/examples/resample_audio.c
/usr/share/ffmpeg/examples/scale_video.c
/usr/share/ffmpeg/examples/show_metadata.c
/usr/share/ffmpeg/examples/transcode.c
%{_mandir}/man3/libavcodec.3.gz
%{_mandir}/man3/libavdevice.3.gz
%{_mandir}/man3/libavfilter.3.gz
%{_mandir}/man3/libavformat.3.gz
%{_mandir}/man3/libavutil.3.gz
%{_mandir}/man3/libswresample.3.gz
%{_mandir}/man3/libswscale.3.gz
/usr/share/doc/ffmpeg/developer.html
/usr/share/doc/ffmpeg/git-howto.html
/usr/share/doc/ffmpeg/libavcodec.html
/usr/share/doc/ffmpeg/libavdevice.html
/usr/share/doc/ffmpeg/libavfilter.html
/usr/share/doc/ffmpeg/libavformat.html
/usr/share/doc/ffmpeg/libavutil.html
/usr/share/doc/ffmpeg/libswresample.html
/usr/share/doc/ffmpeg/libswscale.html
/usr/share/doc/ffmpeg/mailing-list-faq.html
/usr/share/doc/ffmpeg/nut.html
/usr/share/doc/ffmpeg/platform.html
